# $Revision: 1.23 $, $Date: 2012/05/17 18:16:46 $
#
%define		xfce_version	4.6.0
#
Summary:	Text editor for Xfce based on Leafpad
Summary(pl.UTF-8):	Edytor tekstu dla Xfce oparty na Leafpadzie
Name:		mousepad
Version:	0.2.16
Release:	4
License:	GPL v2
Group:		X11/Applications/Editors
Source0:	http://www.xfce.org/archive/xfce-%{xfce_version}/src/%{name}-%{version}.tar.bz2
# Source0-md5:	d98854edb76d823ac20b266fdf5a64a1
Patch0:		%{name}-desktop.patch
URL:		http://www.xfce.org/projects/mousepad/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.10.6
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libtool
BuildRequires:	libxfcegui4-devel >= %{xfce_version}
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRequires:	xfce4-dev-tools >= 4.6.0
Requires:	desktop-file-utils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mousepad is a lightweight text editor for Xfce. It features a simple
interface, broad character set support, printing with Xfprint, and
more. It opens lightening quick, making it perfect for editing config
files, doing quick scripting, and pretty printing documents like shell
scripts.

%description -l pl.UTF-8
Mousepad jest lekkim edytorem tekstowym dla Xfce. Cechuje go prosty
interfejs, obsługa wielu zestawów znaków, drukowanie przy pomocy
Xfprint i wiele więcej. Uruchamia się błyskawicznie, dzięki czemu jest
idealny do edycji plików konfiguracyjnych, pisania małych skryptów i
pięknego drukowania dokumentów takich jak skrypty powłoki.

%prep
%setup -q
%patch0 -p1

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_datadir}/locale/pt{_PT,}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/mousepad
%{_desktopdir}/mousepad.desktop
%{_pixmapsdir}/mousepad.png

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mousepad.spec,v $
Revision 1.23  2012/05/17 18:16:46  baggins
- release 4

Revision 1.22  2011/09/18 21:39:49  glen
- update-desktop-database (.desktop specifies MimeType)

Revision 1.21  2010/05/11 10:22:36  baggins
- rel 2
- desktop file cleanup

Revision 1.20  2009/02/28 11:04:14  megabajt
- updated URL

Revision 1.19  2009/02/27 22:28:05  megabajt
- updated to 0.2.16
- removed obsolete -locale-names.patch

Revision 1.18  2008/10/27 23:12:53  blues
- 0.2.14

Revision 1.17  2007/12/07 14:59:14  megabajt
- updated to 0.2.13
- added locale-names patch

Revision 1.16  2007-02-13 06:46:54  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:49:08  baggins
- converted to UTF-8

Revision 1.14  2007/01/22 14:33:57  megabajt
- updated to 0.2.12 (Xfce 4.4.0)

Revision 1.13  2006/11/06 16:52:45  megabajt
- up to 0.2.10 (Xfce 4.4RC2)
- updated deps

Revision 1.12  2006/09/05 19:43:21  megabajt
- up to 0.2.8

Revision 1.11  2006/07/16 19:40:10  freetz
- 0.2.6, added desktop patch, updated deps, --as-needed support

Revision 1.10  2006/05/17 06:12:26  charles
- updated to 0.2.4 (Xfce 4.3.90.1)
- regenerate ac/am/lt
- updated BRs

Revision 1.9  2005/04/03 08:04:54  koorek
- updated to 0.2.2

Revision 1.8  2005/02/25 16:23:29  koorek
- Up to 0.2.1

Revision 1.7  2005/02/18 18:42:13  qboosh
- unified summaries form

Revision 1.6  2005/02/17 22:45:02  jpc
- longer desc (by Robert Kurowski)

Revision 1.5  2005/02/17 20:05:07  charles
- proper BRs

Revision 1.4  2005/02/17 19:52:52  saq
- various fixes

Revision 1.3  2005/02/17 16:13:41  darekr
- typo

Revision 1.2  2005/02/17 16:10:44  jpc
- adapterized
- commented out useless URL
- added MD5

Revision 1.1  2005/02/17 16:09:15  jpc
- new spec from Robert Kurowski
